Base class for classes that split SQL source into separate queries

author | Alexey Borzov
package | phing.tasks.ext.pdo
version | $Id$

### Methods

## Constructor, sets the parent task and reader with SQL source

    __construct(\PDOSQLExecTask $parent, \Reader $reader)

### Parameters

#### $parent

`\PDOSQLExecTask`

#### $reader

`\Reader`

## Returns next query from SQL source, null if no more queries left

    nextQuery() : string | null

### Returns

`string` `null`

### Properties

##

    $parent : \PDOSQLExecTask

##

    $sqlReader : \BufferedReader